Bug 108192 - kernel crashes during normal work
kernel crashes during normal work
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-28 09:39 EST by Pawel Orzechowski
Modified: 2015-01-04 17:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from /var/log/messages (26.54 KB, text/plain)
2003-10-28 09:41 EST, Pawel Orzechowski
no flags Details
output from command "lsof -i " (2.88 KB, text/plain)
2003-10-28 09:43 EST, Pawel Orzechowski
no flags Details
sample "ps -fe" output (7.07 KB, text/plain)
2003-10-28 09:46 EST, Pawel Orzechowski
no flags Details
Contens of /var/log/messages, output from lsmod, ps -ef and lsof -i (11.21 KB, application/x-gzip)
2003-10-28 14:26 EST, Pelayo Gonzalez
no flags Details
/var/log/messages from last crash (13.53 KB, text/plain)
2003-10-29 07:22 EST, Pawel Orzechowski
no flags Details

  None (edit)
Description Pawel Orzechowski 2003-10-28 09:39:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1)

Description of problem:
From time to time I got kernel panic on my machine. It is difficult to qualify what is the reason. I do not load any modules, do not start any particular program. The machine is used as a desktop workstation, I'm using KDE 3.1.4. Some times the machine is being left overnight, when I'm back next morning it appeares it had crashed. 

Version-Release number of selected component (if applicable):
kernel-2.4.20-20.9

How reproducible:
Couldn't Reproduce

Steps to Reproduce:
1.
2.
3.
    

Additional info:
Comment 1 Pawel Orzechowski 2003-10-28 09:41:17 EST
Created attachment 95546 [details]
output from /var/log/messages
Comment 2 Pawel Orzechowski 2003-10-28 09:43:06 EST
Created attachment 95547 [details]
output from command "lsof -i "
Comment 3 Pawel Orzechowski 2003-10-28 09:46:30 EST
Created attachment 95548 [details]
sample "ps -fe" output
Comment 4 Pawel Orzechowski 2003-10-28 09:47:53 EST
If You have any suggestions, what should I do to track down problem, I will be 
glad to hear it. I am out of ideas.  
 
Regards 
 
Pawel 
Comment 5 Pelayo Gonzalez 2003-10-28 14:23:18 EST
Same problem here. 
With previous RH9 SMP kernels we got a panic every two days aprox. With
2.4.20-20.9smp we got a panic per one or two weeks, but today we had two panics
in four hours, unfortunately I've logged only one of them. 
I think this bug is related to 107575. 
I'm attaching the contents of /var/log/messges, the output of lsmod, ps -ef and
lsof -i. The relevant hardware: Intel SHG2 motheboard (HyperThreading enabled) 2
XEON 2.4Ghz CPUs, 1GB RAM, 4 SEAGATE ST336607LC disks. And four nics E100, E100,
tg3 and 3c59x. 
Comment 6 Pelayo Gonzalez 2003-10-28 14:26:05 EST
Created attachment 95556 [details]
Contens of /var/log/messages, output from lsmod, ps -ef  and lsof -i
Comment 7 Pawel Orzechowski 2003-10-29 07:21:33 EST
My machine is equiped in "standard" hardware: 
CPU: Intel Pentium III 800 MHz 
RAM: 512 MB1760   5% /tmp 
/dev/hda6              2016016   1556056    357 
HDD: 20 GB 
MB: MS-6309 (MSI) with VIA Apollo chipset 
Last night (well morning) my machine has crashed again.  
Regards 
Pawel 
 
 
Comment 8 Pawel Orzechowski 2003-10-29 07:22:49 EST
Created attachment 95573 [details]
/var/log/messages from last crash
Comment 9 Dave Jones 2003-10-29 13:47:09 EST
Looks like either two seperate bugs, or possible hardware problem.
Have you tried memtest86 on this machine ?
Comment 10 Pelayo Gonzalez 2003-10-30 04:43:37 EST
Yes I've been running MEMTEST86 for six hours with no errors. However, to be
sure we'll replace the RAM and reboot with HyperThreading disable on the BIOS
and UP kernel.
So if the panic is caused by a faulty hardware it should be reproduced in one or
two weeks.

Comment 11 Pawel Orzechowski 2003-10-30 06:37:34 EST
No, I haven't tried memtest86, I will do it and let you know. 
Comment 12 Pawel Orzechowski 2003-11-04 03:33:46 EST
Hello, I have run memtest86 for a 4 days, and it did not detect any 
errors. Any suggestions?  
 
Comment 13 Dave Jones 2003-11-18 17:31:55 EST
Try running the debug kernel for a while, see if that hits any of the
bug checks.
Comment 14 Pawel Orzechowski 2003-11-27 11:11:45 EST
OK, how can I ran kernel in debug mode? 
Comment 15 Pawel Orzechowski 2004-09-09 07:15:07 EDT
Since I've switched to Fedora Core this error is not occuring any 
more. 
Comment 16 Bugzilla owner 2004-09-30 11:41:40 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.